Discussion Build Error with Google Play Services Extension v.3.1.3

Discussion in 'GameMaker Studio 2 Community Tech Support' started by Elevory, Jul 14, 2019 at 6:18 PM.

  1. Elevory

    Elevory Member

    Joined:
    Aug 27, 2016
    Posts:
    53
    Anyone else having problems with the latest version of the Google Play Services extension?

    I'm getting the following error in the console:

    I've tried API Level 28 and 29 with all of the necessary dependencies installed via Android Studio. GameMaker IDE v2.2.3.436, runtime v2.2.3.344.

    For the time being, I have downgraded to a previous version of the extension. Game builds fine.
     
    Last edited: Jul 14, 2019 at 6:36 PM
  2. Tony M

    Tony M Member

    Joined:
    Apr 24, 2019
    Posts:
    10
    I am also having issues with the latest extension. All is working ok for me when I export to Android but having all sorts of issues exporting to iOS. Rewards Ads, Google Consent SDK and Setting a test device (GoogleMobileAds_ConsentDebugAddDevice) do not work with iOS. I can only get interstitial ads working.

    I keep getting this error:

    Code:
    2019-07-16 16:35:08.029957+1000 Test_iOS_Ads[4401:1504245] <Google> Cannot find an ad network adapter with the name(s): com.google.ads.mediation.admob.AdMobAdapter. Remember to link all required ad network adapters and SDKs, and set -ObjC in the 'Other Linker Flags' setting of your build target.
    2019-07-16 16:35:08.030454+1000 Test_iOS_Ads[4401:1504142] Reward based video ad failed to load.
    2019-07-16 16:35:08.032621+1000 Test_iOS_Ads[4401:1504142] Error Code: undefined
    2019-07-16 16:35:08.074631+1000 Test_iOS_Ads[4401:1504275] <Google:HTML> You are currently using version 7.27.0 of the SDK. Please consider updating your SDK to the most recent SDK version to get the latest features and bug fixes. The latest SDK can be downloaded from https://goo.gl/UoiJ8F. A full list of release notes is available at https://developers.google.com/admob/ios/rel-notes. 
    How do you downgrade the extension? I would like to try that to see if it resolves my issue as I am desperate to release my first game and unfortunately these issues with the extension and iOS are holding it up. Any assistance appreciated.
     
  3. pipebkOT

    pipebkOT Member

    Joined:
    Dec 13, 2018
    Posts:
    134
    @Tony M are you using the lastest extension? the one with compile 'com.google.android.gms: play-services-ads:17.2.1' in the android gradle inyection?

    and you say it works in android but not on ios? if so then please fill a bug report attaching this thread link, and your project so yoyo can reproduce the bug, and fix it :)



    @Elevory api level 29 is on beta, so is not supported
     
    Last edited: Jul 18, 2019 at 6:16 AM
  4. Elevory

    Elevory Member

    Joined:
    Aug 27, 2016
    Posts:
    53
    I don't see a way to downgrade from the marketplace, but luckily I've kept backups of my old code. Here are the Google-related extensions I downgraded to: https://mega.nz/#!HBACmShA!JidMNoZv7FavXMAaDHGcyBxMoeb7qO9felemMHV5OeY EDIT: I assume the extension source files don't contain any unique identifiers for the game I'm building, but you'll want to double-check your project settings etc after importing this stuff.

    One of my beta testers has been reporting a crash in Android that I suspect is related to cloud_synchronise() , so these old extensions may not be bug-free, but at least I can get my app to compile now!

    Hope that helps you.
     
  5. pipebkOT

    pipebkOT Member

    Joined:
    Dec 13, 2018
    Posts:
    134
    @Elevory 3.1.2 fixed the cloud bug, i don't know if it was the one you mention.

    ------------

    the bug is caused when you use the 3.1.3 extension with the apk expansion extension or licensing extension,
    if you dont use these two extensions it will compile fine.

    if you look at Build file 'S:\com.company.game\build.gradle' line: 63 you will know what went wrong

    this is the line, but i don't know what it means, nor the solution

     
    Last edited: Jul 18, 2019 at 6:26 PM
    Justice likes this.

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice